# Generated by Django 3.0.3 on 2020-02-17 10:08

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='TwitterToken',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('oauth_token', models.CharField(max_length=32)),
                ('oauth_token_secret', models.CharField(max_length=32)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='twitter_token', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'unique_together': {('oauth_token', 'oauth_token_secret')},
            },
        ),
    ]
